Option Strict Off
Option Explicit On
Module Module15
    Private Declare Function ECF_DataHoraUltimoDocumentoMFD Lib "CONVECF.DLL" (ByVal DataHora As String) As Integer
    Private Declare Function ECF_DataHoraReducao Lib "CONVECF.DLL" (ByVal DataReducao As String, ByVal HoraReducao As String) As Integer
    Private Declare Function ECF_DataMovimentoUltimaReducaoMFD Lib "CONVECF.DLL" (ByVal Data As String) As Integer
    Private Declare Function ECF_InicioFimCOOsMFD Lib "CONVECF.DLL" (ByVal Inicial As String, ByVal Final As String) As Integer
    Private Declare Function ECF_InicioFimGTsMFD Lib "CONVECF.DLL" (ByVal GTInicial As String, ByVal GTFinal As String) As Integer
    Private Declare Function ECF_GrandeTotalUltimaReducaoMFD Lib "CONVECF.DLL" (ByVal GTotal As String) As Integer
    Private Declare Function ECF_DadosUltimaReducao Lib "CONVECF.DLL" (ByVal DadosRed As String) As Integer
    Private Declare Function ECF_MapaResumoMFD Lib "CONVECF.DLL" () As Integer

    Function DataHoraUltimoDocumento() As Object
        Dim retorno As Object
        Dim DH As String

        DH = Space(12)

        retorno = ECF_DataHoraUltimoDocumentoMFD(DH)


        MsgBox(" 'Data e Hora do Último Documento' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Data do Último Documento: " & Left(DH, 6))
        Form1.List1.Items.Add("Hora do Último Documento: " & Right(DH, 6))
    End Function

    Function DataHoraReducao() As Object
        Dim retorno As Object
        Dim Data, Hora As String

        Data = Space(6)
        Hora = Space(6)

        retorno = ECF_DataHoraReducao(Data, Hora)


        MsgBox(" 'Data e Hora da Última Redução' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Data Última Redução:" & Data)
        Form1.List1.Items.Add("Hora Última Redução:" & Hora)
    End Function

    Function DataMovimentoUltimaReducao() As Object
        Dim retorno As Object
        Dim DT As String

        DT = Space(6)

        retorno = ECF_DataMovimentoUltimaReducaoMFD(DT)


        MsgBox(" 'Data de Movimento da Última Redução' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("Data de Movimento da Última Redução: " & DT)
    End Function

    Function COOInicialFinal() As Object
        Dim retorno As Object
        Dim Ini, Fin As String

        Ini = Space(6)
        Fin = Space(6)

        retorno = ECF_InicioFimCOOsMFD(Ini, Fin)


        MsgBox(" 'COO Inicial e Final' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("COO Inicial: " & Ini)
        Form1.List1.Items.Add("COO Final: " & Fin)
    End Function

    Function GTInicialFinal() As Object
        Dim retorno As Object
        Dim GTIni, GTFin As String

        GTIni = Space(18)
        GTFin = Space(18)

        retorno = ECF_InicioFimGTsMFD(GTIni, GTFin)


        MsgBox(" 'GT Inicial e Final' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("GT Inicial: " & GTIni)
        Form1.List1.Items.Add("GT Final: " & GTFin)
    End Function

    Function GTUltimaReducao() As Object
        Dim retorno As Object
        Dim GT As String

        GT = Space(18)

        retorno = ECF_GrandeTotalUltimaReducaoMFD(GT)


        MsgBox(" 'GT da Última Redução' " & vbCrLf & "Status: " & retorno)
        Form1.List1.Items.Add("GT após a Redução: " & GT)
    End Function

    Function DadosUltimaReducao() As Object
        Dim I As Object
        Dim retorno As Object
        Dim Dados As String
        Dim pos As Integer
        Dim temp As String

        Dados = Space(1278)

        retorno = ECF_DadosUltimaReducao(Dados)

        Form1.List1.Items.Add("")
        Form1.List1.Items.Add(" Dados da Última Redução:")

        pos = 1
        Do While pos > 0

            pos = InStr(1, Dados, ",")

            If pos > 0 Then
                temp = Left(Dados, pos - 1)
                Dados = Right(Dados, Len(Dados) - pos)

                Form1.List1.Items.Add("    : " & temp)
                'UPGRADE_WARNING: Couldn't resolve default property of object I. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
                I = I + 1
            End If


        Loop

        Form1.List1.Items.Add("    : " & Dados)
        Form1.List1.Items.Add("")
    End Function
	
	Function MapaResumo() As Object
		Dim retorno As Object
		

        retorno = ECF_MapaResumoMFD()


		MsgBox(" 'Geração do Mapa Resumo' " & vbCrLf & "Status: " & retorno)
		
	End Function
End Module